# Changelog

## 2024-09-05 - 5.2.10 - fix(smartdata.classes.doc)
Fix issue with array handling in convertFilterForMongoDb function

- Corrected the logic to properly handle array filters in the convertFilterForMongoDb function to avoid incorrect assignments.

## 2024-09-05 - 5.2.9 - fix(smartdata.classes.doc)
Fixed issue with convertFilterForMongoDb to handle array operators.

- Updated the convertFilterForMongoDb function in smartdata.classes.doc.ts to properly handle array operators like $in and $all.

## 2024-09-05 - 5.2.8 - fix(smartdata.classes.doc)
Fix key handling in convertFilterForMongoDb function

- Fixed an issue in convertFilterForMongoDb that allowed keys with dots which could cause errors.

## 2024-09-05 - 5.2.7 - fix(core)
Fixed issue with handling filter keys containing dots in smartdata.classes.doc.ts

- Fixed an error in the convertFilterForMongoDb function which previously threw an error when keys contained dots.

## 2024-06-18 - 5.2.6 - Chore
Maintenance Release

- Release version 5.2.6

## 2024-05-31 - 5.2.2 - Bug Fixes
Fixes and Maintenance

- Fixed issue where `_createdAt` and `_updatedAt` registered saveableProperties for all document types

## 2024-04-15 - 5.1.2 - New Feature
Enhancements and Bug Fixes

- Added static `.getCount({})` method to `SmartDataDbDoc`
- Changed fields `_createdAt` and `_updatedAt` to ISO format

## 2024-04-14 - 5.0.43 - New Feature
New Feature Addition

- Added default `_createdAt` and `_updatedAt` fields, fixes #1

## 2024-03-30 - 5.0.41 - Bug Fixes
Improvements and Fixes

- Improved `tsconfig.json` for ES Module use

## 2023-07-10 - 5.0.20 - Chore
Organizational Changes

- Switched to new org scheme

## 2023-07-21 - 5.0.21 to 5.0.26 - Fixes
Multiple Fix Releases

- Various core updates and bug fixes

## 2023-07-21 - 5.0.20 - Chore
Organizational Changes

- Switch to the new org scheme

## 2023-06-25 - 5.0.14 to 5.0.19 - Fixes
Multiple Fix Releases

- Various core updates and bug fixes

## 2022-05-17 - 5.0.0 - Major Update
Breaking Changes

- Switched to ESM

## 2022-05-18 - 5.0.2 - Bug Fixes
Bug Fixes

- The `watcher.changeSubject` now emits the correct type into observer functions

## 2022-05-17 - 5.0.1 - Chore
Testing Improvements

- Tests now use `@pushrocks/smartmongo` backed by `wiredTiger`

## 2022-05-17 to 2022-11-08 - 5.0.8 to 5.0.10
Multiple Fix Releases

- Various core updates and bug fixes

## 2021-11-12 - 4.0.17 to 4.0.20
Multiple Fix Releases

- Various core updates and bug fixes

## 2021-09-17 - 4.0.10 to 4.0.16
Multiple Fix Releases

- Various core updates and bug fixes

## 2021-06-09 - 4.0.1 to 4.0.9
Multiple Fix Releases

- Various core updates and bug fixes

## 2021-06-06 - 4.0.0 - Major Update
Major Release

- Maintenance and core updates

## 2021-05-17 - 3.1.56 - Chore
Maintenance Release

- Release version 3.1.56

## 2020-09-09 - 3.1.44 to 3.1.52
Multiple Fix Releases

- Various core updates and bug fixes

## 2020-06-12 - 3.1.26 to 3.1.28
Multiple Fix Releases

- Various core updates and bug fixes

## 2020-02-18 - 3.1.23 to 3.1.25
Multiple Fix Releases

- Various core updates and bug fixes

## 2019-09-11 - 3.1.20 to 3.1.22
Multiple Fix Releases

- Various core updates and bug fixes

## 2018-07-10 - 3.0.5 - New Feature
Added Feature

- Added custom unique indexes to `SmartdataDoc`

## 2018-07-08 - 3.0.1 - Chore
Dependencies Update

- Updated mongodb dependencies

## 2018-07-08 - 3.0.0 - Major Update
Refactor and Cleanup

- Cleaned project structure

## 2018-01-16 - 2.0.7 - Breaking Change
Big Changes

- Switched to `@pushrocks` scope and moved from `rethinkdb` to `mongodb`

## 2018-01-12 - 2.0.0 - Major Release
Core Updates

- Updated CI configurations

